MSWriteParserInternal::Font Struct Reference documentation

MSWriteParserInternal::Font Struct Reference

`#include <MSWrite.h>`

Inheritance diagram for MSWriteParserInternal::Font:

## Public Member Functions
| Font ()
Public Member Functions inherited from WPSFont
| WPSFont ()
| constructor
virtual | ~WPSFont ()
| destructor
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList
bool | isSet () const
| accessor
bool | operator== (WPSFont const &ft) const
| operator==
bool | operator!= (WPSFont const &ft) const
| operator!=

## Public Attributes
uint32_t | m_fcFirst
uint32_t | m_fcLim
bool | m_special
bool | m_footnote
bool | m_annotation
libwps_tools_win::Font::Type | m_encoding
Public Attributes inherited from WPSFont
librevenge::RVNGString | m_name
| font name
double | m_size
| font size
uint32_t | m_attributes
| the font attributes defined as a set of bits
double | m_spacing
| font spacing
WPSColor | m_color
| the font color
int | m_languageId
| the language (simplified locale name id) if known
std::string | m_extra
| public field use to add a message when the font is printed

## Additional Inherited Members
Static Public Member Functions inherited from WPSFont
static WPSFont | getDefault ()
| returns the default font ( Courier 12pt)

## Constructor & Destructor Documentation

## ◆ Font()

MSWriteParserInternal::Font::Font | ( |  | ) |
| inline

Referenced by Font().

## Member Data Documentation

## ◆ m_annotation

bool MSWriteParserInternal::Font::m_annotation

Referenced by Font(), and DosWordParser::readCHP().

## ◆ m_encoding

libwps_tools_win::Font::Type MSWriteParserInternal::Font::m_encoding

Referenced by Font(), DosWordParser::readCHP(), and MSWriteParser::readCHP().

## ◆ m_fcFirst

uint32_t MSWriteParserInternal::Font::m_fcFirst

Referenced by Font(), DosWordParser::readCHP(), and MSWriteParser::readCHP().

## ◆ m_fcLim

uint32_t MSWriteParserInternal::Font::m_fcLim

Referenced by Font(), DosWordParser::readCHP(), and MSWriteParser::readCHP().

## ◆ m_footnote

bool MSWriteParserInternal::Font::m_footnote

Referenced by Font(), and DosWordParser::readCHP().

## ◆ m_special

bool MSWriteParserInternal::Font::m_special

Referenced by Font(), DosWordParser::readCHP(), and MSWriteParser::readCHP().

The documentation for this struct was generated from the following file:

- MSWrite.h